Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.meta
Class KodoReverseCustomizer

    java.lang.Object
      kodo.jdbc.meta.KodoReverseCustomizer

All Implemented Interfaces:
  ReverseCustomizer, Configurable, GenericConfigurable, Closeable

    public class KodoReverseCustomizer

extends Object
implements ReverseCustomizer, Configurable, GenericConfigurable

Customizer that adds Kodo-specific reverse mappings, then delegates through to a given customizer.

Constructor Summary
`KodoReverseCustomizer()`

Method Summary
`void` | `close()`
`void` | `customize(ClassMapping cls)`
`void` | `customize(FieldMapping field)`
`void` | `endConfiguration()`
`String` | `getClassCode(ClassMapping mapping)`
`String` | `getClassName(Table table, String defaultName)`
`ReverseCustomizer` | `getCustomizer()` Delegate customizer, or null.
`String` | `getDeclaration(FieldMapping field)`
`String` | `getFieldCode(FieldMapping field)`
`String` | `getFieldName(ClassMapping dec, Column[] cols, ForeignKey fk, String defaultName)`
`String` | `getInitialValue(FieldMapping field)`
`int` | `getTableType(Table table, int defaultType)`
`void` | `setConfiguration(Configuration conf)`
`void` | `setConfiguration(Properties props)`
`void` | `setCustomizer(ReverseCustomizer delegate)` Delegate customizer, or null.
`void` | `setCustomizer(String typeName)` Used during auto-configuration to set delegate type.
`void` | `setInto(Options opts)`
`void` | `setTool(ReverseMappingTool tool)`
`void` | `startConfiguration()`
`boolean` | `unmappedTable(Table table)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KodoReverseCustomizer

    public KodoReverseCustomizer()

Method Detail

### getCustomizer

    public ReverseCustomizer getCustomizer()

  Delegate customizer, or null.

### setCustomizer

    public void setCustomizer(ReverseCustomizer delegate)

  Delegate customizer, or null.

### setCustomizer

    public void setCustomizer(String typeName)

  Used during auto-configuration to set delegate type.

### setConfiguration

    public void setConfiguration(Properties props)

  Specified by:
    `setConfiguration` in interface `ReverseCustomizer`

### setTool

    public void setTool(ReverseMappingTool tool)

  Specified by:
    `setTool` in interface `ReverseCustomizer`

### getTableType

    public int getTableType(Table table,
                            int defaultType)

  Specified by:
    `getTableType` in interface `ReverseCustomizer`

### getClassName

    public String getClassName(Table table,
                               String defaultName)

  Specified by:
    `getClassName` in interface `ReverseCustomizer`

### customize

    public void customize(ClassMapping cls)

  Specified by:
    `customize` in interface `ReverseCustomizer`

### getClassCode

    public String getClassCode(ClassMapping mapping)

  Specified by:
    `getClassCode` in interface `ReverseCustomizer`

### getFieldName

    public String getFieldName(ClassMapping dec,
                               Column[] cols,
                               ForeignKey fk,
                               String defaultName)

  Specified by:
    `getFieldName` in interface `ReverseCustomizer`

### customize

    public void customize(FieldMapping field)

  Specified by:
    `customize` in interface `ReverseCustomizer`

### getInitialValue

    public String getInitialValue(FieldMapping field)

  Specified by:
    `getInitialValue` in interface `ReverseCustomizer`

### getDeclaration

    public String getDeclaration(FieldMapping field)

  Specified by:
    `getDeclaration` in interface `ReverseCustomizer`

### getFieldCode

    public String getFieldCode(FieldMapping field)

  Specified by:
    `getFieldCode` in interface `ReverseCustomizer`

### unmappedTable

    public boolean unmappedTable(Table table)

  Specified by:
    `unmappedTable` in interface `ReverseCustomizer`

### close

    public void close()

  Specified by:
    `close` in interface `ReverseCustomizer`
  Specified by:
    `close` in interface `Closeable`

### setConfiguration

    public void setConfiguration(Configuration conf)

  Specified by:
    `setConfiguration` in interface `Configurable`

### startConfiguration

    public void startConfiguration()

  Specified by:
    `startConfiguration` in interface `Configurable`

### endConfiguration

    public void endConfiguration()

  Specified by:
    `endConfiguration` in interface `Configurable`

### setInto

    public void setInto(Options opts)

  Specified by:
    `setInto` in interface `GenericConfigurable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.